using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using RFramework;

namespace RFrameGenerate.Model
{
    public partial class T_ST_OrderList: EntityBase<T_ST_OrderList>, ICloneable
    { 
        public Guid OrderGuid{ get;set; }   
        public string MemberName{ get;set; }
        public string OrderNo{ get;set; }
        public string PayNO{ get;set; }
        public DateTime OrderTime{ get;set; }   
        public string PayWay{ get;set; }
        public string DeliveryMethod{ get;set; }
        public string Reciever{ get;set; }
        public decimal? TotalMoney{ get;set; }   
        public string ExpressCompany{ get;set; }
        public int OrderState{ get;set; }   
        public Guid? LogisticrGuid{ get;set; }   
        public Guid? MemberGuid{ get;set; }   
        public Guid? MerchantGuid{ get;set; }   
        public Guid? SMerchantGuid{ get;set; }   
        public string TransactionID{ get;set; }
        public int? UserWeChatType{ get;set; }   
        public int? GoodsDeliveryType{ get;set; }   
        public int? CommodityRefundAudit{ get;set; }   
        public int? AgentComType{ get;set; }   
        public decimal? AgentComRatio{ get;set; }   
        public bool? HasCountedCommission{ get;set; }   
        public DateTime? CountedCommissionTime{ get;set; }   
        public string UserID{ get;set; }
        public string StoreTitle{ get;set; }
        public int? UserType{ get;set; }   
      
        public override string ToString()
        {
            StringBuilder sb = this.EntityToGetKeyValue();
            if (sb == null)
                return base.ToString();
            else
            {
                return sb.ToString();
            }
        }
        
        #region 创建副本
        /// <summary>
        /// 创建当前 System.Object 的浅表副本
        /// </summary>
        /// <returns>返回当前实例的浅表副本,(如果当前实例中有引用对象,引用对象的地址还是指向原来的地址)</returns>
        public object Clone()
        {
            return this.MemberwiseClone();
        }
        
        /// <summary>
        /// 创建当前 System.Object 的深表副本
        /// </summary>
        /// <returns>返回当前实例的深表副本,(如果当前实例中有引用对象,引用对象的地址还是指向原来的地址)</returns>
        public T_ST_OrderList DeepClone()
        {
            using (System.IO.Stream objectStream = new System.IO.MemoryStream())
            {
                System.Runtime.Serialization.IFormatter formatter = new System.Runtime.Serialization.Formatters.Binary.BinaryFormatter();
                formatter.Serialize(objectStream, this);
                objectStream.Seek(0, System.IO.SeekOrigin.Begin);
                return formatter.Deserialize(objectStream) as T_ST_OrderList;
            }
        }
        /// <summary>
        /// 创建当前 System.Object 的浅表副本
        /// </summary>
        /// <returns>返回当前实例的浅表副本,(如果当前实例中有引用对象,引用对象的地址还是指向原来的地址)</returns>
        public T_ST_OrderList ShallowClone()
        {
            return Clone() as T_ST_OrderList;
        }

        #endregion
        
        #region 实体相互转换        
        protected override T_ST_OrderList CurrentEntity()
        {
            return this;
        }
        #endregion
    }
}

